#ifndef __MAIN_SRAM_H_
#define __MAIN_SRAM_H_

#include "hardware.h"

#include "test_memory.h"
#include <stdbool.h>
#include <devices.h>
#include <drv_ioport.h>
#include <timing.h>

#define LED_TEST1   0x01
#define LED_TEST2   0x02
#define LED_TEST3   0x04
#define LED_TEST4   0x08
#define LED_TEST5   0x010

ioport_t* ioport;

void init( void );
void display_results( uint32_t error_count );

#endif
